Bug 1582816 - The closed source beta is mistakenly installed as an upgrade to the opensource stable release
Summary: The closed source beta is mistakenly installed as an upgrade to the opensourc...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: synergy
Version: 28
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2018-05-27 03:46 UTC by J Chapin
Modified: 2018-06-04 20:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-04 20:32:28 UTC


Attachments (Terms of Use)

Description J Chapin 2018-05-27 03:46:32 UTC
Description of problem:
Symless closed the source code of synergy with version 2.0, the last open source version is 1.9.1 (at this time). The open source fork is now called 'barrier'.

For some reason fedora 28 installs the 2.0 line (requires a license to use, is closed source, and not FOSS friendly). Symless, the author, considers the ENTIRE 2.0 product line as a beta. 

1.x and 2.0 are not interoperable or compatible with each other, so updating to 2.0 *WILL*  break the install. Not to mention the 2.x line has removed core features of the 1.x line.

Even worse, if you manually install 1.9.1, a yum update replaces the synergy software with the incompatible beta with no warning.

Version-Release number of selected component (if applicable):
1.9.1, 2.0

How reproducible:
100% of the time

Steps to Reproduce:
1.Install synergy 1.9.1 (listed as the stable product on symless's site)
2.Yum update
OR
1. yum install synergy


Actual results:
You now have an outdated, broken beta, instead of the stable release. You adidtion

Expected results:
Synergy would not be touched

Additional info:

The CEO has explicitly stated that synergy 2 is not open source:
https://symless.com/forums/topic/5068-source-code-for-version-2/

Comment 1 J Chapin 2018-05-27 04:06:26 UTC
According to https://fedoraproject.org/wiki/Licensing:Main, it appears that any license change should be discussed on the devel list. I cannot seem to find this discussion...

Comment 2 Kevin Fenzi 2018-06-01 18:01:36 UTC
Adding FE_Legal blocker here for comment from legal.

Comment 3 Christian Krause 2018-06-03 08:49:09 UTC
I was not involved in the update to the 2.0 beta and from a technical point of view it may be a problem (incompatible protocol, problematic release tagging, ...), but I don't see the evidence of a license change here:

1. The packaged source, which can be downloaded from github (https://github.com/symless/synergy-core/archive/v2.0.0-stable.tar.gz) still contains a LICENSE file referring to GPLv2 (which is the license of this package as noted in the spec file)

2. The current master tree on github for synergy also contains this file:
https://github.com/symless/synergy-core/blob/master/LICENSE

3. On https://symless.com/forums/topic/5068-source-code-for-version-2/ the CEO explicitly claims that synergy-core is open source. The current synergy package kind of merges the GUI from the synergy-core package version 1.8.8 and the core package of 2.0.0 but that doesn't matter: 1.8.8 was also GPLv2.

So far I don't see any indication for a licensing change or licensing issue.

Comment 4 Tom "spot" Callaway 2018-06-04 20:32:28 UTC
Agreed. The synergy-core-2.0.0-stable code base is still clearly licensed as GPLv2 with the OpenSSL extension. I can not see any non-free code in the Fedora package.


Note You need to log in before you can comment on or make changes to this bug.